var app = getApp()
Page({
  data: {
    mobile:false
  },
  onLoad: function (options) {
    console.log(options)
    if(options.mobile){
      this.setData({mobile:options.mobile})
    }
    console.log(this.data.mobile)
  },
  onGotUserInfo: function (e) {
    console.log(e)
    wx.showLoading({
      title: '登陆中请稍等...',
      mask: true
    })
    var that = this;
    if (e.detail.userInfo) {
      var data = e.detail.userInfo;
      wx.request({
        url: 'https://yutang.web.ximengnaikang.com/api/syncUserInfo',
        method: 'POST',
        data:data,
        header: {
          'content-type': 'application/x-www-form-urlencoded',
          'Authorization':wx.getStorageSync('token')
        },
        success: function (res) {
          console.log(res)
          if (res.statusCode == 200) {
            wx.showToast({
              title: '授权成功',
              icon: 'none'
            })
            wx.setStorageSync('userInfo', res.data.data.user)
            // wx.navigateBack()
            wx.switchTab({
              url: '/pages/index/index',
            })
          } else {
            wx.showToast({
              title: '登陆失败请重试',
              icon: 'none'
            })
          }
        }
      })
    } else {
      wx.showToast({
        title: '授权失败',
        icon: 'none'
      })
    }
  },
  getPhoneNumber: function (e) {
    console.log(e)
    if(e.detail.errMsg=="getPhoneNumber:fail user deny"){
      wx.showToast({
        title: '授权失败',
        icon: 'none'
      })
    }else{
      var data = {
        session_key:wx.getStorageSync('session_key'),
        iv:e.detail.iv,
        encryptedData:e.detail.encryptedData
      }
      wx.request({
        url: 'https://yutang.web.ximengnaikang.com/api/user/mobile',
        method: 'POST',
        data:data,
        header: {
          'content-type': 'application/x-www-form-urlencoded',
          'Authorization':wx.getStorageSync('token')
        },
        success: function (res) {
          console.log(res)
          if (res.statusCode == 200) {
            wx.showToast({
              title: '授权成功',
              icon: 'none'
            })
            wx.login({
              success: function (res) {
                // 发送 res.code 到后台换取 openId, sessionKey, unionId
                console.log(res.code)
                var data = {
                  'code': res.code
                };
                wx.request({
                  url: 'https://yutang.web.ximengnaikang.com/api/login',
                  method: 'POST',
                  data:data,
                  header: {
                    'content-type': 'application/x-www-form-urlencoded'
                  },
                  success: function (res) {
                    console.log(res)
                    wx.setStorageSync('token', res.data.data.authorize)
                    wx.setStorageSync('userInfo', res.data.data.user)
                    wx.setStorageSync('session_key', res.data.data.session_key)
                    wx.switchTab({
                      url: '../index/index',
                    })
                  }
                })
              }
            })
          } else {
            wx.showToast({
              title: '授权失败请重试',
              icon: 'none'
            })
          }
        }
      })
    }

  },
  onReady: function () {

  },
  onShow: function () {

  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {

  }
})